Skip to main content
POST
Generate Upload Document Url

Authorizations

Authorization
string
header
required

Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.

Headers

tenant
string
required

Your tenant identifier. Requests without it are rejected.

Path Parameters

brokerageFirmId
string
required

the brokerageFirm id

Pattern: ^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$

Query Parameters

whenAt
string<date-time>

Optional: the whenAt datetime

branchId
string

Optional: the branchId

Pattern: ^branch(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$

Body

application/json

Document metadata for upload

name
string
required

name

metadata
object[]

metadata of the policy

Example:

Response

Upload URL generated successfully.

type
string
required

type

id
string
required

the document's id

Pattern: ^document(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
url
string
required

url of the document

contentType
string

the Content-Type header that was signed into the presigned URL

contentDisposition
string

the Content-Disposition header that was signed into the presigned URL